Bug 203648 - Rejigger WKWebArchive headers
Summary: Rejigger WKWebArchive headers
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit API (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brady Eidson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-10-30 17:26 PDT by Brady Eidson
Modified: 2019-11-01 16:34 PDT (History)
7 users (show)

See Also:


Attachments
Patch (23.66 KB, patch)
2019-10-30 17:31 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (23.68 KB, patch)
2019-10-31 09:38 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Patch (23.69 KB, patch)
2019-11-01 11:01 PDT, Brady Eidson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from webkit-cq-01 for mac-highsierra (3.70 MB, application/zip)
2019-11-01 13:23 PDT, WebKit Commit Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brady Eidson 2019-10-30 17:26:57 PDT
Rejigger WKWebArchive headers

-Rename WKWebArchive.h to WKWebArchiveRef.h
-Add a new WKWebArchive.h that includes the Ref version
Comment 1 Brady Eidson 2019-10-30 17:31:13 PDT
Created attachment 382398 [details]
Patch
Comment 2 Brady Eidson 2019-10-31 09:38:10 PDT
Created attachment 382468 [details]
Patch
Comment 3 WebKit Commit Bot 2019-10-31 10:22:24 PDT
Comment on attachment 382468 [details]
Patch

Clearing flags on attachment: 382468

Committed r251854: <https://trac.webkit.org/changeset/251854>
Comment 4 WebKit Commit Bot 2019-10-31 10:22:26 PDT
All reviewed patches have been landed.  Closing bug.
Comment 5 Radar WebKit Bug Importer 2019-10-31 10:23:19 PDT
<rdar://problem/56785948>
Comment 6 Andy Estes 2019-10-31 10:23:51 PDT
Comment on attachment 382468 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=382468&action=review

> Source/WebKit/UIProcess/API/Cocoa/WKWebArchive.h:27
> +#include <WebKit/WKWebArchiveRef.h>

I know this is just for staging, but if it were to stay we should use #import here.
Comment 7 Brady Eidson 2019-10-31 12:00:40 PDT
(In reply to Andy Estes from comment #6)
> Comment on attachment 382468 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=382468&action=review
> 
> > Source/WebKit/UIProcess/API/Cocoa/WKWebArchive.h:27
> > +#include <WebKit/WKWebArchiveRef.h>
> 
> I know this is just for staging, but if it were to stay we should use
> #import here.

It will NOT stay.
Comment 8 Aakash Jain 2019-10-31 12:24:12 PDT
(In reply to WebKit Commit Bot from comment #3)
> Committed r251854: <https://trac.webkit.org/changeset/251854>
This seems to have broken the iOS build, as also indicated by EWS.
Comment 9 Aakash Jain 2019-10-31 12:24:17 PDT
Relevant logs:
Source/WebKit/Shared/API/c/mac/WKWebArchiveRef.cpp:42:17: error: no previous prototype for function 'WKWebArchiveCreate' [-Werror,-Wmissing-prototypes]
WKWebArchiveRef WKWebArchiveCreate(WKWebArchiveResourceRef mainResourceRef, WKArrayRef subresourcesRef, WKArrayRef subframeArchivesRef)

Source/WebKit/Shared/API/c/mac/WKWebArchiveRef.cpp:72:12: error: no previous prototype for function 'WKWebArchiveCopySubframeArchives' [-Werror,-Wmissing-prototypes]
WKArrayRef WKWebArchiveCopySubframeArchives(WKWebArchiveRef webArchiveRef)
Comment 10 Truitt Savell 2019-10-31 12:29:56 PDT
Reverted r251854 for reason:

Broke iOS build

Committed r251868: <https://trac.webkit.org/changeset/251868>
Comment 11 Brady Eidson 2019-11-01 11:01:11 PDT
Created attachment 382595 [details]
Patch
Comment 12 WebKit Commit Bot 2019-11-01 13:23:33 PDT
Comment on attachment 382595 [details]
Patch

Rejecting attachment 382595 [details] from commit-queue.

New failing tests:
requestidlecallback/requestidlecallback-document-gc.html
Full output: https://webkit-queues.webkit.org/results/13201898
Comment 13 WebKit Commit Bot 2019-11-01 13:23:34 PDT
Created attachment 382613 [details]
Archive of layout-test-results from webkit-cq-01 for mac-highsierra

The attached test failures were seen while running run-webkit-tests on the commit-queue.
Bot: webkit-cq-01  Port: mac-highsierra  Platform: Mac OS X 10.13.6
Comment 14 Brady Eidson 2019-11-01 14:43:40 PDT
(In reply to WebKit Commit Bot from comment #12)
> Comment on attachment 382595 [details]
> Patch
> 
> Rejecting attachment 382595 [details] from commit-queue.
> 
> New failing tests:
> requestidlecallback/requestidlecallback-document-gc.html
> Full output: https://webkit-queues.webkit.org/results/13201898

This patch did not cause this failure.
Comment 15 Aakash Jain 2019-11-01 15:15:29 PDT
(In reply to Brady Eidson from comment #14)
> > New failing tests:
> > requestidlecallback/requestidlecallback-document-gc.html
> This patch did not cause this failure.
You are right. This is a flaky test. See: https://bugs.webkit.org/show_bug.cgi?id=203758
Comment 16 WebKit Commit Bot 2019-11-01 16:34:34 PDT
Comment on attachment 382595 [details]
Patch

Clearing flags on attachment: 382595

Committed r251952: <https://trac.webkit.org/changeset/251952>
Comment 17 WebKit Commit Bot 2019-11-01 16:34:36 PDT
All reviewed patches have been landed.  Closing bug.